Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network234.167.176.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
234.167.176.0
Broadcast address
234.167.183.255
First usable
234.167.176.1
Last usable
234.167.183.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EAA7B000 · Integer 3936858112 to 3936860159
Reverse DNS zones
176.167.234.in-addr.arpa
177.167.234.in-addr.arpa
178.167.234.in-addr.arpa
179.167.234.in-addr.arpa
180.167.234.in-addr.arpa
181.167.234.in-addr.arpa
182.167.234.in-addr.arpa
183.167.234.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101010.10100111.10110000.00000000234.167.176.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network11101010.10100111.10110000.00000000234.167.176.0
Broadcast11101010.10100111.10110111.11111111234.167.183.255
Split into smaller subnets/32

234.167.176.0/21 makes 2,048 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1234.167.176.0/32234.167.176.0 to 234.167.176.0—1
2234.167.176.1/32234.167.176.1 to 234.167.176.1—1
3234.167.176.2/32234.167.176.2 to 234.167.176.2—1
4234.167.176.3/32234.167.176.3 to 234.167.176.3—1
5234.167.176.4/32234.167.176.4 to 234.167.176.4—1
6234.167.176.5/32234.167.176.5 to 234.167.176.5—1
7234.167.176.6/32234.167.176.6 to 234.167.176.6—1
8234.167.176.7/32234.167.176.7 to 234.167.176.7—1
9234.167.176.8/32234.167.176.8 to 234.167.176.8—1
10234.167.176.9/32234.167.176.9 to 234.167.176.9—1
11234.167.176.10/32234.167.176.10 to 234.167.176.10—1
12234.167.176.11/32234.167.176.11 to 234.167.176.11—1
13234.167.176.12/32234.167.176.12 to 234.167.176.12—1
14234.167.176.13/32234.167.176.13 to 234.167.176.13—1
15234.167.176.14/32234.167.176.14 to 234.167.176.14—1
16234.167.176.15/32234.167.176.15 to 234.167.176.15—1
17234.167.176.16/32234.167.176.16 to 234.167.176.16—1
18234.167.176.17/32234.167.176.17 to 234.167.176.17—1
19234.167.176.18/32234.167.176.18 to 234.167.176.18—1
20234.167.176.19/32234.167.176.19 to 234.167.176.19—1
21234.167.176.20/32234.167.176.20 to 234.167.176.20—1
22234.167.176.21/32234.167.176.21 to 234.167.176.21—1
23234.167.176.22/32234.167.176.22 to 234.167.176.22—1
24234.167.176.23/32234.167.176.23 to 234.167.176.23—1
25234.167.176.24/32234.167.176.24 to 234.167.176.24—1
26234.167.176.25/32234.167.176.25 to 234.167.176.25—1
27234.167.176.26/32234.167.176.26 to 234.167.176.26—1
28234.167.176.27/32234.167.176.27 to 234.167.176.27—1
29234.167.176.28/32234.167.176.28 to 234.167.176.28—1
30234.167.176.29/32234.167.176.29 to 234.167.176.29—1
31234.167.176.30/32234.167.176.30 to 234.167.176.30—1
32234.167.176.31/32234.167.176.31 to 234.167.176.31—1
33234.167.176.32/32234.167.176.32 to 234.167.176.32—1
34234.167.176.33/32234.167.176.33 to 234.167.176.33—1
35234.167.176.34/32234.167.176.34 to 234.167.176.34—1
36234.167.176.35/32234.167.176.35 to 234.167.176.35—1
37234.167.176.36/32234.167.176.36 to 234.167.176.36—1
38234.167.176.37/32234.167.176.37 to 234.167.176.37—1
39234.167.176.38/32234.167.176.38 to 234.167.176.38—1
40234.167.176.39/32234.167.176.39 to 234.167.176.39—1
41234.167.176.40/32234.167.176.40 to 234.167.176.40—1
42234.167.176.41/32234.167.176.41 to 234.167.176.41—1
43234.167.176.42/32234.167.176.42 to 234.167.176.42—1
44234.167.176.43/32234.167.176.43 to 234.167.176.43—1
45234.167.176.44/32234.167.176.44 to 234.167.176.44—1
46234.167.176.45/32234.167.176.45 to 234.167.176.45—1
47234.167.176.46/32234.167.176.46 to 234.167.176.46—1
48234.167.176.47/32234.167.176.47 to 234.167.176.47—1
49234.167.176.48/32234.167.176.48 to 234.167.176.48—1
50234.167.176.49/32234.167.176.49 to 234.167.176.49—1
51234.167.176.50/32234.167.176.50 to 234.167.176.50—1
52234.167.176.51/32234.167.176.51 to 234.167.176.51—1
53234.167.176.52/32234.167.176.52 to 234.167.176.52—1
54234.167.176.53/32234.167.176.53 to 234.167.176.53—1
55234.167.176.54/32234.167.176.54 to 234.167.176.54—1
56234.167.176.55/32234.167.176.55 to 234.167.176.55—1
57234.167.176.56/32234.167.176.56 to 234.167.176.56—1
58234.167.176.57/32234.167.176.57 to 234.167.176.57—1
59234.167.176.58/32234.167.176.58 to 234.167.176.58—1
60234.167.176.59/32234.167.176.59 to 234.167.176.59—1
61234.167.176.60/32234.167.176.60 to 234.167.176.60—1
62234.167.176.61/32234.167.176.61 to 234.167.176.61—1
63234.167.176.62/32234.167.176.62 to 234.167.176.62—1
64234.167.176.63/32234.167.176.63 to 234.167.176.63—1
65234.167.176.64/32234.167.176.64 to 234.167.176.64—1
66234.167.176.65/32234.167.176.65 to 234.167.176.65—1
67234.167.176.66/32234.167.176.66 to 234.167.176.66—1
68234.167.176.67/32234.167.176.67 to 234.167.176.67—1
69234.167.176.68/32234.167.176.68 to 234.167.176.68—1
70234.167.176.69/32234.167.176.69 to 234.167.176.69—1
71234.167.176.70/32234.167.176.70 to 234.167.176.70—1
72234.167.176.71/32234.167.176.71 to 234.167.176.71—1
73234.167.176.72/32234.167.176.72 to 234.167.176.72—1
74234.167.176.73/32234.167.176.73 to 234.167.176.73—1
75234.167.176.74/32234.167.176.74 to 234.167.176.74—1
76234.167.176.75/32234.167.176.75 to 234.167.176.75—1
77234.167.176.76/32234.167.176.76 to 234.167.176.76—1
78234.167.176.77/32234.167.176.77 to 234.167.176.77—1
79234.167.176.78/32234.167.176.78 to 234.167.176.78—1
80234.167.176.79/32234.167.176.79 to 234.167.176.79—1
81234.167.176.80/32234.167.176.80 to 234.167.176.80—1
82234.167.176.81/32234.167.176.81 to 234.167.176.81—1
83234.167.176.82/32234.167.176.82 to 234.167.176.82—1
84234.167.176.83/32234.167.176.83 to 234.167.176.83—1
85234.167.176.84/32234.167.176.84 to 234.167.176.84—1
86234.167.176.85/32234.167.176.85 to 234.167.176.85—1
87234.167.176.86/32234.167.176.86 to 234.167.176.86—1
88234.167.176.87/32234.167.176.87 to 234.167.176.87—1
89234.167.176.88/32234.167.176.88 to 234.167.176.88—1
90234.167.176.89/32234.167.176.89 to 234.167.176.89—1
91234.167.176.90/32234.167.176.90 to 234.167.176.90—1
92234.167.176.91/32234.167.176.91 to 234.167.176.91—1
93234.167.176.92/32234.167.176.92 to 234.167.176.92—1
94234.167.176.93/32234.167.176.93 to 234.167.176.93—1
95234.167.176.94/32234.167.176.94 to 234.167.176.94—1
96234.167.176.95/32234.167.176.95 to 234.167.176.95—1
97234.167.176.96/32234.167.176.96 to 234.167.176.96—1
98234.167.176.97/32234.167.176.97 to 234.167.176.97—1
99234.167.176.98/32234.167.176.98 to 234.167.176.98—1
100234.167.176.99/32234.167.176.99 to 234.167.176.99—1
101234.167.176.100/32234.167.176.100 to 234.167.176.100—1
102234.167.176.101/32234.167.176.101 to 234.167.176.101—1
103234.167.176.102/32234.167.176.102 to 234.167.176.102—1
104234.167.176.103/32234.167.176.103 to 234.167.176.103—1
105234.167.176.104/32234.167.176.104 to 234.167.176.104—1
106234.167.176.105/32234.167.176.105 to 234.167.176.105—1
107234.167.176.106/32234.167.176.106 to 234.167.176.106—1
108234.167.176.107/32234.167.176.107 to 234.167.176.107—1
109234.167.176.108/32234.167.176.108 to 234.167.176.108—1
110234.167.176.109/32234.167.176.109 to 234.167.176.109—1
111234.167.176.110/32234.167.176.110 to 234.167.176.110—1
112234.167.176.111/32234.167.176.111 to 234.167.176.111—1
113234.167.176.112/32234.167.176.112 to 234.167.176.112—1
114234.167.176.113/32234.167.176.113 to 234.167.176.113—1
115234.167.176.114/32234.167.176.114 to 234.167.176.114—1
116234.167.176.115/32234.167.176.115 to 234.167.176.115—1
117234.167.176.116/32234.167.176.116 to 234.167.176.116—1
118234.167.176.117/32234.167.176.117 to 234.167.176.117—1
119234.167.176.118/32234.167.176.118 to 234.167.176.118—1
120234.167.176.119/32234.167.176.119 to 234.167.176.119—1
121234.167.176.120/32234.167.176.120 to 234.167.176.120—1
122234.167.176.121/32234.167.176.121 to 234.167.176.121—1
123234.167.176.122/32234.167.176.122 to 234.167.176.122—1
124234.167.176.123/32234.167.176.123 to 234.167.176.123—1
125234.167.176.124/32234.167.176.124 to 234.167.176.124—1
126234.167.176.125/32234.167.176.125 to 234.167.176.125—1
127234.167.176.126/32234.167.176.126 to 234.167.176.126—1
128234.167.176.127/32234.167.176.127 to 234.167.176.127—1
129234.167.176.128/32234.167.176.128 to 234.167.176.128—1
130234.167.176.129/32234.167.176.129 to 234.167.176.129—1
131234.167.176.130/32234.167.176.130 to 234.167.176.130—1
132234.167.176.131/32234.167.176.131 to 234.167.176.131—1
133234.167.176.132/32234.167.176.132 to 234.167.176.132—1
134234.167.176.133/32234.167.176.133 to 234.167.176.133—1
135234.167.176.134/32234.167.176.134 to 234.167.176.134—1
136234.167.176.135/32234.167.176.135 to 234.167.176.135—1
137234.167.176.136/32234.167.176.136 to 234.167.176.136—1
138234.167.176.137/32234.167.176.137 to 234.167.176.137—1
139234.167.176.138/32234.167.176.138 to 234.167.176.138—1
140234.167.176.139/32234.167.176.139 to 234.167.176.139—1
141234.167.176.140/32234.167.176.140 to 234.167.176.140—1
142234.167.176.141/32234.167.176.141 to 234.167.176.141—1
143234.167.176.142/32234.167.176.142 to 234.167.176.142—1
144234.167.176.143/32234.167.176.143 to 234.167.176.143—1
145234.167.176.144/32234.167.176.144 to 234.167.176.144—1
146234.167.176.145/32234.167.176.145 to 234.167.176.145—1
147234.167.176.146/32234.167.176.146 to 234.167.176.146—1
148234.167.176.147/32234.167.176.147 to 234.167.176.147—1
149234.167.176.148/32234.167.176.148 to 234.167.176.148—1
150234.167.176.149/32234.167.176.149 to 234.167.176.149—1
151234.167.176.150/32234.167.176.150 to 234.167.176.150—1
152234.167.176.151/32234.167.176.151 to 234.167.176.151—1
153234.167.176.152/32234.167.176.152 to 234.167.176.152—1
154234.167.176.153/32234.167.176.153 to 234.167.176.153—1
155234.167.176.154/32234.167.176.154 to 234.167.176.154—1
156234.167.176.155/32234.167.176.155 to 234.167.176.155—1
157234.167.176.156/32234.167.176.156 to 234.167.176.156—1
158234.167.176.157/32234.167.176.157 to 234.167.176.157—1
159234.167.176.158/32234.167.176.158 to 234.167.176.158—1
160234.167.176.159/32234.167.176.159 to 234.167.176.159—1
161234.167.176.160/32234.167.176.160 to 234.167.176.160—1
162234.167.176.161/32234.167.176.161 to 234.167.176.161—1
163234.167.176.162/32234.167.176.162 to 234.167.176.162—1
164234.167.176.163/32234.167.176.163 to 234.167.176.163—1
165234.167.176.164/32234.167.176.164 to 234.167.176.164—1
166234.167.176.165/32234.167.176.165 to 234.167.176.165—1
167234.167.176.166/32234.167.176.166 to 234.167.176.166—1
168234.167.176.167/32234.167.176.167 to 234.167.176.167—1
169234.167.176.168/32234.167.176.168 to 234.167.176.168—1
170234.167.176.169/32234.167.176.169 to 234.167.176.169—1
171234.167.176.170/32234.167.176.170 to 234.167.176.170—1
172234.167.176.171/32234.167.176.171 to 234.167.176.171—1
173234.167.176.172/32234.167.176.172 to 234.167.176.172—1
174234.167.176.173/32234.167.176.173 to 234.167.176.173—1
175234.167.176.174/32234.167.176.174 to 234.167.176.174—1
176234.167.176.175/32234.167.176.175 to 234.167.176.175—1
177234.167.176.176/32234.167.176.176 to 234.167.176.176—1
178234.167.176.177/32234.167.176.177 to 234.167.176.177—1
179234.167.176.178/32234.167.176.178 to 234.167.176.178—1
180234.167.176.179/32234.167.176.179 to 234.167.176.179—1
181234.167.176.180/32234.167.176.180 to 234.167.176.180—1
182234.167.176.181/32234.167.176.181 to 234.167.176.181—1
183234.167.176.182/32234.167.176.182 to 234.167.176.182—1
184234.167.176.183/32234.167.176.183 to 234.167.176.183—1
185234.167.176.184/32234.167.176.184 to 234.167.176.184—1
186234.167.176.185/32234.167.176.185 to 234.167.176.185—1
187234.167.176.186/32234.167.176.186 to 234.167.176.186—1
188234.167.176.187/32234.167.176.187 to 234.167.176.187—1
189234.167.176.188/32234.167.176.188 to 234.167.176.188—1
190234.167.176.189/32234.167.176.189 to 234.167.176.189—1
191234.167.176.190/32234.167.176.190 to 234.167.176.190—1
192234.167.176.191/32234.167.176.191 to 234.167.176.191—1
193234.167.176.192/32234.167.176.192 to 234.167.176.192—1
194234.167.176.193/32234.167.176.193 to 234.167.176.193—1
195234.167.176.194/32234.167.176.194 to 234.167.176.194—1
196234.167.176.195/32234.167.176.195 to 234.167.176.195—1
197234.167.176.196/32234.167.176.196 to 234.167.176.196—1
198234.167.176.197/32234.167.176.197 to 234.167.176.197—1
199234.167.176.198/32234.167.176.198 to 234.167.176.198—1
200234.167.176.199/32234.167.176.199 to 234.167.176.199—1
201234.167.176.200/32234.167.176.200 to 234.167.176.200—1
202234.167.176.201/32234.167.176.201 to 234.167.176.201—1
203234.167.176.202/32234.167.176.202 to 234.167.176.202—1
204234.167.176.203/32234.167.176.203 to 234.167.176.203—1
205234.167.176.204/32234.167.176.204 to 234.167.176.204—1
206234.167.176.205/32234.167.176.205 to 234.167.176.205—1
207234.167.176.206/32234.167.176.206 to 234.167.176.206—1
208234.167.176.207/32234.167.176.207 to 234.167.176.207—1
209234.167.176.208/32234.167.176.208 to 234.167.176.208—1
210234.167.176.209/32234.167.176.209 to 234.167.176.209—1
211234.167.176.210/32234.167.176.210 to 234.167.176.210—1
212234.167.176.211/32234.167.176.211 to 234.167.176.211—1
213234.167.176.212/32234.167.176.212 to 234.167.176.212—1
214234.167.176.213/32234.167.176.213 to 234.167.176.213—1
215234.167.176.214/32234.167.176.214 to 234.167.176.214—1
216234.167.176.215/32234.167.176.215 to 234.167.176.215—1
217234.167.176.216/32234.167.176.216 to 234.167.176.216—1
218234.167.176.217/32234.167.176.217 to 234.167.176.217—1
219234.167.176.218/32234.167.176.218 to 234.167.176.218—1
220234.167.176.219/32234.167.176.219 to 234.167.176.219—1
221234.167.176.220/32234.167.176.220 to 234.167.176.220—1
222234.167.176.221/32234.167.176.221 to 234.167.176.221—1
223234.167.176.222/32234.167.176.222 to 234.167.176.222—1
224234.167.176.223/32234.167.176.223 to 234.167.176.223—1
225234.167.176.224/32234.167.176.224 to 234.167.176.224—1
226234.167.176.225/32234.167.176.225 to 234.167.176.225—1
227234.167.176.226/32234.167.176.226 to 234.167.176.226—1
228234.167.176.227/32234.167.176.227 to 234.167.176.227—1
229234.167.176.228/32234.167.176.228 to 234.167.176.228—1
230234.167.176.229/32234.167.176.229 to 234.167.176.229—1
231234.167.176.230/32234.167.176.230 to 234.167.176.230—1
232234.167.176.231/32234.167.176.231 to 234.167.176.231—1
233234.167.176.232/32234.167.176.232 to 234.167.176.232—1
234234.167.176.233/32234.167.176.233 to 234.167.176.233—1
235234.167.176.234/32234.167.176.234 to 234.167.176.234—1
236234.167.176.235/32234.167.176.235 to 234.167.176.235—1
237234.167.176.236/32234.167.176.236 to 234.167.176.236—1
238234.167.176.237/32234.167.176.237 to 234.167.176.237—1
239234.167.176.238/32234.167.176.238 to 234.167.176.238—1
240234.167.176.239/32234.167.176.239 to 234.167.176.239—1
241234.167.176.240/32234.167.176.240 to 234.167.176.240—1
242234.167.176.241/32234.167.176.241 to 234.167.176.241—1
243234.167.176.242/32234.167.176.242 to 234.167.176.242—1
244234.167.176.243/32234.167.176.243 to 234.167.176.243—1
245234.167.176.244/32234.167.176.244 to 234.167.176.244—1
246234.167.176.245/32234.167.176.245 to 234.167.176.245—1
247234.167.176.246/32234.167.176.246 to 234.167.176.246—1
248234.167.176.247/32234.167.176.247 to 234.167.176.247—1
249234.167.176.248/32234.167.176.248 to 234.167.176.248—1
250234.167.176.249/32234.167.176.249 to 234.167.176.249—1
251234.167.176.250/32234.167.176.250 to 234.167.176.250—1
252234.167.176.251/32234.167.176.251 to 234.167.176.251—1
253234.167.176.252/32234.167.176.252 to 234.167.176.252—1
254234.167.176.253/32234.167.176.253 to 234.167.176.253—1
255234.167.176.254/32234.167.176.254 to 234.167.176.254—1
256234.167.176.255/32234.167.176.255 to 234.167.176.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses